Bug 2253355 - Review Request: ccluster - Cluster the roots of a univariate polynomial
Summary: Review Request: ccluster - Cluster the roots of a univariate polynomial
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Rix
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/rimbach/Ccluster
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-12-06 21:46 UTC by Jerry James
Modified: 2023-12-28 00:34 UTC (History)
2 users (show)

Fixed In Version: ccluster-1.1.7-1.fc40
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-12-28 00:34:05 UTC
Type: ---
Embargoed:
trix: fedora-review+


Attachments (Terms of Use)

Description Jerry James 2023-12-06 21:46:13 UTC
Spec URL: https://jjames.fedorapeople.org/ccluster/ccluster.spec
SRPM URL: https://jjames.fedorapeople.org/ccluster/ccluster-1.1.7-1.fc40.src.rpm
Fedora Account System Username: jjames
Description: Ccluster is a C library implementing an algorithm for local clustering of the complex roots of a univariate polynomial whose coefficients are complex numbers.

The inputs of the clustering algorithm are a polynomial P, a square complex box B and a rational number eps.

It outputs a set of eps-natural clusters of roots together with the sum of multiplicities of the roots in each cluster.  An eps-cluster is a complex disc D of radius at most eps containing at least one root, and it is natural when 3D contains the same roots than D.  Each root of P in B is in exactly one cluster of the output, and clusters may contain roots of P in 2B.

This package is part of an effort to add the SoPlex and SCIP solvers to Fedora.  The entire collection of packages is available in a COPR: https://copr.fedorainfracloud.org/coprs/jjames/SCIP/.

Comment 1 Fedora Review Service 2023-12-06 21:53:29 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6729875
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2253355-ccluster/fedora-rawhide-x86_64/06729875-ccluster/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 Tom Rix 2023-12-27 12:47:44 UTC
Looks fine overall
Add to %description the last part of the readme so folks know how to reference original work

The implemented algorithm is described here: https://dl.acm.org/citation.cfm?id=2930939

Please cite: https://link.springer.com/chapter/10.1007/978-3-319-96418-8_28 if you use it in your research.

You can take care of this on the import.
approved.

Comment 3 Jerry James 2023-12-28 00:00:29 UTC
Thank you, Tom.  I appreciate the review!  I will add the text you indicated to %description.

Comment 4 Fedora Admin user for bugzilla script actions 2023-12-28 00:05:56 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/ccluster

Comment 5 Jerry James 2023-12-28 00:34:05 UTC
This package has been built in Rawhide.


Note You need to log in before you can comment on or make changes to this bug.